## comic-neue 2.51

=== requirements.txt ===
fontmake==2.0.3
git+https://github.com/googlefonts/gftools

## comic-neue 2.3

=== debian/changelog ===
comic-neue (2.3-3) unstable; urgency=medium

  * Team upload
  * Move fontconfig template from /etc/fonts/ to /usr/share/fontconfig/

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 28 Nov 2017 13:00:10 -0500

comic-neue (2.3-2) unstable; urgency=medium

  * Don't force a fontconfig substitution of Comic Sans MS; let's allow
    using the original if both are installed (Closes: 882665).

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 27 Nov 2017 02:52:51 +0100

comic-neue (2.3-1) unstable; urgency=medium

  [ Adam Borowski ]
  * Initial release (Closes: #877504).

  [ Fabian Greffrath ]
  * Add myself to Uploaders.
  * Add Vcs-Git and Vcs-Browser fields.
  * Add Multi-Arch: foreign to binary package stanza.
  * Put package into contrib/fonts section,
    until fontmake is available in Debian.
  * Bump Standards-Version to 4.1.1

 -- Fabian Greffrath <fabian@debian.org>  Mon, 02 Oct 2017 17:12:33 +0200

=== debian/control ===
Source: comic-neue
Section: contrib/fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Adam Borowski <kilobyte@angband.pl>,
 Fabian Greffrath <fabian@debian.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 4.1.1
Homepage: http://comicneue.com/
Vcs-Git: https://anonscm.debian.org/git/pkg-fonts/fonts-comic-neue.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-fonts/fonts-comic-neue.git/

Package: fonts-comic-neue
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: less horrible remake of Comic Sans
 This font is an attempt to fix worst issues in the world's most reviled
 typeface while staying true to the general idea.
 .
 You're still not supposed to actually use the font yourself, but thanks
 to fontconfig substitutions having this package installed will help you
 survive weaponized uses such as the LibreSSL announcement or a html email
 from aunt June.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_clean:
	chmod a-x *.txt
	chmod a-x OTF/*.otf
	chmod a-x Web/*.css
	dh_auto_clean

=== debian/watch ===
version=4
opts=repack,compression=xz http://comicneue.com/ \
  comic-neue-([\d\.]+)\.zip debian uupdate

## comic-neue 2.4

=== debian/changelog ===
comic-neue (2.4-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/rules: only build .otf version
  * debian/rules: clean up unnecessary dh_clean overrides
  * debian/docs: Install FONTLOG.txt
  * Add minimal debian/gbp.conf
  * debian/rules: only build .otf version
  * debian/rules: clean up unnecessary dh_clean overrides
  * debian/docs: Install FONTLOG.txt
  * Add minimal debian/gbp.conf

  [ Fabian Greffrath ]
  * Add patch to properly set the styleMapFamilyName fields
    so that e.g. Comic Neue Bold is recognized as the bold
    variant of Comic Neue instead of a separate font.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 20 Oct 2018 22:51:41 +0200

comic-neue (2.4-1) unstable; urgency=medium

  * Point debian/watch file to the GitHub project page.
  * Remove *.otf upon repacking the upstream release tarball.
  * New upstream version 2.4.
  * Add Build-Depends on a recent enough fontmake package and
    rebuild the fonts from their UFO sources.
  * Move package from contrib Section to main!
  * Fix vcs-field-not-canonical lintian warning.
  * Bump Standards-Version to 4.2.1.
  * Add myself to Debian packaging copyright holders.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 12 Sep 2018 21:54:26 +0200

comic-neue (2.3-4) unstable; urgency=medium

  * Update the Fonts Team's address.
  * dh 11, R³.
  * Move VCS to Salsa.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 30 May 2018 22:03:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: comic-neue
-Section: contrib/fonts
+Section: fonts
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Adam Borowski <kilobyte@angband.pl>,
  Fabian Greffrath <fabian@debian.org>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 11),
+ fontmake (>= 1.5.1)
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Homepage: http://comicneue.com/
-Vcs-Git: https://anonscm.debian.org/git/pkg-fonts/fonts-comic-neue.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-fonts/fonts-comic-neue.git/
+Vcs-Git: https://salsa.debian.org/fonts-team/fonts-comic-neue.git
+Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-comic-neue
 
 Package: fonts-comic-neue
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	for ufo in $(wildcard UFO/*.ufo) ; \
	do \
		fontmake -o otf -u $${ufo} ; \
	done

override_dh_clean:
	$(RM) -rf master_otf/
	dh_clean

=== debian/watch ===
version=4
opts=repack,compression=xz https://github.com/crozynski/comicneue/releases \
  /crozynski/comicneue/archive/v([\d\.]+)\.tar\.gz debian uupdate

## comic-neue 2.51

=== debian/changelog ===
comic-neue (2.51-4) unstable; urgency=medium

  * Fix the watch file (releases → tags).
  * Janitor fixes.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 28 Jan 2023 05:26:57 +0100

comic-neue (2.51-3) unstable; urgency=medium

  * Update the watch file.
  * Fix a typo in the changelog.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 18 Oct 2021 23:47:16 +0200

comic-neue (2.51-2) unstable; urgency=medium

  * Build and install instantiated OTF font files.
  * Build and install web fonts in WOFF and WOFF2 formats.
  * Install Fonts/WebFonts/font.css as an example.
  * Run "wrap-and-sort -asb".

 -- Fabian Greffrath <fabian@debian.org>  Fri, 23 Oct 2020 09:20:15 +0200

comic-neue (2.51-1) unstable; urgency=medium

  [ Gürkan Myczko ]
  * New upstream version (Closes: #972104).
  * Bump debhelper version to 13.
  * Bump standards version to 4.5.0.

  [ Fabian Greffrath ]
  * Improve the version matching pattern in debian/watch.
  * Change the Homepage field to point to the GitHub project page, the
    actual homepage doesn't contain that much relevant information.
  * Rebuild the fonts from the Glyphs sources. The "Glyphs" directory
    is 5 months younger than the respective "UFO" directory and the
    last commit message touching the latter reads "Ufo files must not
    be tracked".

 -- Fabian Greffrath <fabian@debian.org>  Tue, 20 Oct 2020 22:09:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,24 @@
 Section: fonts
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
-Uploaders: Adam Borowski <kilobyte@angband.pl>,
+Uploaders:
+ Adam Borowski <kilobyte@angband.pl>,
  Fabian Greffrath <fabian@debian.org>
-Build-Depends: debhelper (>= 11),
- fontmake (>= 1.5.1)
-Standards-Version: 4.2.1
+Build-Depends:
+ debhelper-compat (= 13),
+ fontmake,
+ sfnt2woff-zopfli,
+ woff2
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: http://comicneue.com/
+Homepage: https://github.com/crozynski/comicneue
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-comic-neue.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-comic-neue
 
 Package: fonts-comic-neue
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends}
 Multi-Arch: foreign
 Description: less horrible remake of Comic Sans
  This font is an attempt to fix worst issues in the world's most reviled

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

instance_otf:
	for glyph in $(wildcard Sources/Glyphs/*.glyphs) ; \
	do \
		fontmake -i -o otf -g $${glyph} ; \
	done

override_dh_auto_build: instance_otf
	for otf in $(wildcard instance_otf/*.otf) ; \
	do \
		sfnt2woff-zopfli $${otf} ; \
		woff2_compress $${otf} ; \
	done

override_dh_clean:
	$(RM) -rf instance_ufo/ master_ufo/
	$(RM) -rf instance_otf/ master_otf/
	dh_clean

=== debian/watch ===
version=4
opts=repack,compression=xz https://github.com/crozynski/comicneue/tags \
  /crozynski/comicneue/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
